Subject: RE: [arch-d] NIC Offload Affect

From: "Bound, Jim" <[email-masked]>
Date: Tue, 22 Nov 2005 20:10:30 -0500

just so all know I threw this out for thought only. I have many views on
this topic and also there are new models being developed to improve host
ip stack kernel processing avoidance of copy and placing data directly
on processors etc.  what I am concerned about is 4 years from now
100GbE.  will our architecture sustain what it needs to on a host or
embedded software system.  So when we add shims and new layers and new
processing that has to be called out from the stack that has performance
cost. Keeping the deering hourglass and the middle not bulging is I
think very important.
/jim

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Bob Hinden
> Sent: Tuesday, November 22, 2005 5:59 PM
> To: Tony Li
> Cc: [email-masked]
> Subject: Re: [arch-d] NIC Offload Affect
> 
> 
> > In a distant previous life, I spent some time hacking the CMU TCP  
> > stack for
> > VMS to work with a vendor's TCP accelerator board because everyone  
> > 'knew'
> > that general purpose CPUs could never, ever keep up with 
> 10Mb/s.  ;-)
> >
> > While I'm painfully aware that general purpose silicon is reaching  
> > a technology
> > asymptote, I would strongly suggest that we work hard to NOT  
> > optimize around
> > a particular generation of technology and open ourselves to the  
> > thought that
> > whatever we do, our grandchildren will have to implement 
> the result  
> > on their
> > latest and greatest Mr. Fusion powered, LOX cooled, hyper-processor.
> 
> I agree.
> 
> Further, from one of my previous lives, the bottleneck was  
> efficiently moving the data to user space, not the actual protocol  
> processing.  Moving the protocol processing outboard tends to make  
> this harder as it moves the control further away from where it is  
> needed.
> 
> Bob
> 
> 
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/architecture-discuss
> 

_______________________________________________
Architecture-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/architecture-discuss

---

From: Dave Crocker <[email-masked]>
Date: Tue, 22 Nov 2005 18:39:14 -0800

> cost. Keeping the deering hourglass and the middle not bulging is I

I suspect that the on-/off-board question merely makes it easier to think of 
issues to focus on.  So it's not so much that it creates special problems, 
but perhaps it gets us thinking about thinks with some better focus.

Bob H's comments about memory processing vs. protocol processing is a good 
example.  Have there been serious host processing efficiency proposals that 
purport to do better?

I suspect the issue with a shim layer is going to be per-packet additional 
overhead, versus per "host-pair" or "per-session" or the like.

Are there specific problems already expected?

d/
-- 

Dave Crocker
Brandenburg InternetWorking
<http://bbiw.net>